/* Slick Modals - User Profile */
.userProfile * {
    box-sizing: border-box;
}
.userProfile * {
    color: #222;
}
.userProfile .top {
    display: inline-block;
    width: 100%;
    clear: both;
    padding-bottom: 20px;
    border-bottom: solid 1px rgba(0,0,0,0.1);
    margin-bottom: 20px;
}
.userProfile .left {
    float: left;
    width: 30%;
}
.userProfile .right {
    float: right;
    width: 65%;
    padding: 0 0 0 20px;
}
.userProfile .left .pic {
    width: 100%;
}
.userProfile .right .name {
    font-size: 22px;
    font-weight: 700;
    display: inline-block;
    width: 100%;
}
.userProfile .right .desc {
    font-size: 14px;
    display: inline-block;
    width: 100%;
}
.userProfile .right a {
    font-weight: 700;
    font-size: 12px;
    color: #55822d;
    text-decoration: none;
    width: 100%;
    float: left;
    margin: 4px 0 0 0;
}
.userProfile .right a:first-of-type {
    margin-top: 12px;
}
.userProfile .right a:hover {
    color: #222;
}
.userProfile #profileSettings {
    display: inline-block;
}
.userProfile #profileSettings .title {
    font-size: 18px;
    opacity: 0.5;
    margin-bottom: 16px;
}
.userProfile #profileSettings .field {
    position: relative;
    display: inline-block;
    width: 100%;
    clear: both;
    margin: 10px 0;
}
.userProfile #profileSettings .field .subtitle {
    float: left;
    font-size: 13px;
    line-height: 20px;
}
.userProfile #profileSettings .field .subtitle:before {
    width: 4px;
    height: 4px;
    content: "";
    background: #222;
    border-radius: 50%;
    line-height: 20px;
    margin: 8px 4px 0 0;
    float: left;
}
.userProfile #profileSettings .chk {
    position: relative;
    width: 40px;
    text-align: center;
    float: right;
    margin-right: 30px;
}
.userProfile #profileSettings input,
.userProfile #profileSettings input:active {
    display: none;
    opacity: 0;
}
.userProfile #profileSettings label,
.userProfile #profileSettings label:before,
.userProfile #profileSettings label:after {
    transition: all 0.3s ease;
}
.userProfile #profileSettings label {
    display: block;
    position: relative;
    padding: 10px;
    font-size: 12px;
    line-height: 16px;
    width: 100%;
    height: 20px;
    border-radius: 18px;
    background: #f0f0f0;
    cursor: pointer;
}
.userProfile #profileSettings label:before {
    content:"";
    display: block;
    position: absolute;
    z-index: 1;
    line-height: 18px;
    text-indent: 40px;
    height: 20px;
    width: 20px;
    border-radius: 100%;
    top: 0;
    left: 0;
    right: auto;
    background: #fff;
    box-shadow: 0 3px 3px rgba(0,0,0,.2), 0 0 0 2px #ddd;
}
.userProfile #profileSettings label:after {
    content: attr(data-off);
    display: block;
    position: absolute;
    z-index: 0;
    top: -7px;
    left: -40px;
    padding: 10px;
    height: 100%;
    width: 30px;
    text-align: center;
    color: #bfbfbf;
    white-space: nowrap;
}
.userProfile #profileSettings input:checked + label {
    box-shadow: inset 0 0 0 20px #3aaf39, 0 0 0 2px #3aaf39;
}
.userProfile #profileSettings input:checked + label:before {
    left: calc(100% - 20px);
    box-shadow: 0 0 0 2px transparent, 0 3px 3px rgba(0,0,0,.3);
}
.userProfile #profileSettings input:checked + label:after {
    content: attr(data-on);
    left: 36px;
    width: 20px;
}
/* Credits for the iOS style buttons: https://codepen.io/designcouch/pen/sDAvk */